%define name	turbojetGUI
%define version 0.3
%define release %mkrel 3

Summary: 	The TurboJet CD/DVD Duplicator : Writing CDs and DVDs on demand to multiple burners at once.
Summary(fr):	Le duplicateur de CD/DVD TurboJet : Graver des CDs et DVDs à la demande sur de multiples graveurs à la fois.
Name: 		%name
Version: 	%version
Release: 	%release
License: 	GPL 2.0
Group: 		Archiving/Cd burning
Source:		%{name}-latest.tar.bz2
Source1:	turbojet.png
BuildRoot: 	%_tmppath/%name-%version-buildroot
URL: 		http://turbojet.sourceforge.net/
Packager:	DidouPh
BuildRequires:	gcc-c++ libqt3-devel
Requires:	libqt3 cdrecord qt3

%description
The TurboJet CD/DVD Duplicator : Writing CDs and DVDs on demand to multiple burners at once.
%description -l fr
Le duplicateur de CD/DVD TurboJet : Graver des CDs et DVDs à la demande sur de multiples graveurs à la fois.
%prep
%setup -q -n %{name}

%build
qmake turbojet.pro
%{__make} %{?_smp_mflags} %{?mflags}

#%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install
# creating desktop entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/turbojet.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=TurbojetGUI
Comment=CD/DVD Duplicator
Comment[fr_FR]=duplicateur de CD/DVD
Icon=turbojet.png
Terminal=false
Type=Application
Categories=AudioVideo;DiscBurning;X-MandrivaLinux-System-Archiving-CDBurning;
StartupNotify=true
FilePattern=turbojet;
Exec=turbojet
TryExec=turbojet
EOF

# adding menu entry
desktop-file-install \
   --vendor="" \
   --dir %{buildroot}/%{_datadir}/applications \
   %{buildroot}/%{_datadir}/applications/turbojet.desktop
# adding icons
mkdir -p %{buildroot}/%{_datadir}/icons
cp %{SOURCE1} %{buildroot}/%{_datadir}/icons/turbojet.png
mkdir -p %{buildroot}/%{_bindir}/
cp %{_topdir}/BUILD/%{name}/bin/turbojet %{buildroot}/%{_bindir}/turbojet
%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/turbojet
%{_datadir}/applications/*
%{_datadir}/icons/*

%changelog
* Tue May 20 2008 Texstar <texstar@gmail.com> 0.3-3pclos2007
- already have a 2 release in repo so bump it

* Sun May 18 2008 DidouPh <didouph@matoilnet.com> 
- rebuilt with correct group tags

* Sun Oct 28 2007 DidouPh <didouph@matoilnet.com> initial build
- first build